commit:     820312320f0cd2755c00bc9b1ad7d8fb41727b1b
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  8 08:44:43 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Sep  8 14:56:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82031232

dev-ml/ppx_import: initial import; ebuild by me

Package-Manager: portage-2.3.0

 dev-ml/ppx_import/Manifest              |  1 +
 dev-ml/ppx_import/metadata.xml          |  8 ++++++
 dev-ml/ppx_import/ppx_import-1.1.ebuild | 48 +++++++++++++++++++++++++++++++++
 3 files changed, 57 insertions(+)

diff --git a/dev-ml/ppx_import/Manifest b/dev-ml/ppx_import/Manifest
new file mode 100644
index 00000000..1ed9cdf
--- /dev/null
+++ b/dev-ml/ppx_import/Manifest
@@ -0,0 +1 @@
+DIST ppx_import-1.1.tar.gz 12951 SHA256 
083f06119fa836939bec273340828c6f2c103cd88bdf775584d2036b8f4d0f5f SHA512 
24a1db1f216518fb1302f8de2984bab5ffd33cbabe311d449e3767a96a63b386d11cdfd8f783d48169523a0535754b044841821aa24533d1d1127eb4a8aa42d6
 WHIRLPOOL 
479223751d0e180e4df3e4e7e36b774ded8284bcf8f67054518dabc6e3c16aae538a964ea4a01528caf78b388f1cd48e3dd487bb141bd0a315c622cd531fb637

diff --git a/dev-ml/ppx_import/metadata.xml b/dev-ml/ppx_import/metadata.xml
new file mode 100644
index 00000000..ffac4d7
--- /dev/null
+++ b/dev-ml/ppx_import/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>

diff --git a/dev-ml/ppx_import/ppx_import-1.1.ebuild 
b/dev-ml/ppx_import/ppx_import-1.1.ebuild
new file mode 100644
index 00000000..3c90c3e
--- /dev/null
+++ b/dev-ml/ppx_import/ppx_import-1.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="A syntax extension for importing declarations from interface 
files"
+HOMEPAGE="https://github.com/whitequark/ppx_impor://github.com/whitequark/ppx_import";
+SRC_URI="https://github.com/whitequark/ppx_import/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt test"
+
+DEPEND="
+       dev-lang/ocaml:=[ocamlopt?]
+       dev-ml/ppx_tools:=
+       dev-ml/cppo:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+       test? ( dev-ml/ounit dev-ml/ppx_deriving )
+       dev-ml/opam
+       dev-ml/ocamlbuild
+       dev-ml/findlib
+"
+
+src_compile() {
+       cp pkg/META.in pkg/META
+       ocaml pkg/build.ml \
+               native=$(usex ocamlopt true false) \
+               native-dynlink=$(usex ocamlopt true false) \
+               || die
+}
+
+src_test() {
+       ocamlbuild -classic-display -use-ocamlfind 
src_test/test_ppx_import.byte --     || die
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${T}/dontinstallit" \
+               ${PN}.install || die
+       dodoc CHANGELOG.md README.md
+}

Reply via email to